%global short_version 1.4.0

%global with_python3_cups 1

Name: dymo-cups-drivers
Version: %{short_version}.5
Release:    1%{?dist}
Summary: DYMO LabelWriter Drivers for CUPS
License: GPLv2+
URL: http://www.dymo.com

Source0: http://download.dymo.com/dymo/Software/Download%20Drivers/Linux/Download/dymo-cups-drivers-%{short_version}.tar.gz#/%{name}-%{version}.tar.gz

Patch0: dymo-cups-drivers-fix-fsf-address.patch
Patch1: dymo-cups-drivers-replace-boolean-or-with-bitwise.patch
Patch2: dymo-cups-drivers-unused-var-statusok.patch
Patch3: dymo-cups-drivers-replace-deprecated-type.patch
Patch4: dymo-cups-drivers-autotools-deprecations.patch

Patch5: 0001-Inheritate-CXXFLAGS-from-the-environment-to-use-dpkg.patch
Patch6: 0002-Port-to-newer-cups-headers-ppd_file_t-is-only-define.patch
Patch7: 0005-Include-cups-sidechannel.h-for-cupsBackChannelRead-s.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: cups-devel
BuildRequires: glibc-headers
BuildRequires: libtool
BuildRequires: gcc-c++
BuildRequires: sed
BuildRequires: make
%{?with_python3_cups:BuildRequires: python3-cups}
%{!?with_python3_cups:BuildRequires: python-cups}

Requires: cups

%description
DYMO LabelWriter and DYMO LabelMANAGER series drivers for CUPS

%prep
%autosetup -p 1

%build
autoreconf --force --install
%{configure} CXXFLAGS="${CXXFLAGS} -std=c++11"
%make_build

%install
%make_install

%files
%license LICENSE
%doc AUTHORS ChangeLog README docs/ samples/
%{_cups_serverbin}/filter/*
%{_datadir}/cups/model/*

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0.5-1
- initial build
